Bug 200780 - kpager crashes when dragging windows in it.
kpager crashes when dragging windows in it.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-31 12:36 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-27 17:24:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-07-31 12:36:53 EDT
Description of problem:

Bring up kpager.  Click on a window in the pager and try to drag to another
workspace.  kpager crashes with a segmentation violation.  This happens on FC4
and FC5.

Version-Release number of selected component (if applicable):
kdebase-3.5.3-0.4.fc5

How reproducible:
Everytime

Using host libthread_db library "/lib/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1208690992 (LWP 25171)]
[KCrash handler]
#6  0x43b27402 in __kernel_vsyscall ()
#7  0x43b6cee9 in raise () from /lib/libc.so.6
#8  0x43b6e4f1 in abort () from /lib/libc.so.6
#9  0x43ba18bb in __libc_message () from /lib/libc.so.6
#10 0x43ba8d88 in _int_free () from /lib/libc.so.6
#11 0x43bac25f in free () from /lib/libc.so.6
#12 0x414416c1 in operator delete () from /usr/lib/libstdc++.so.6
#13 0x4144171d in operator delete[] () from /usr/lib/libstdc++.so.6
#14 0x4602a40c in QStringData::deleteSelf (this=0x940ed58)
    at tools/qstring.h:364
#15 0x0805d674 in PagerWindowDrag (this=0x93efbe0, w=35651591, deltax=18, 
    deltay=12, origdesk=2, parent=0x93eb260)
    at /usr/lib/qt-3.3/include/qstring.h:848
#16 0x08055bb5 in Desktop::startDrag (this=0x93eb260, p=@0x93eb2f0)
    at desktop.cpp:312
#17 0x08055dae in Desktop::mouseMoveEvent (this=0x93eb260, ev=0xbf97f790)
    at desktop.cpp:85
#18 0x45d4b969 in QWidget::event (this=0x93eb260, e=0xbf97f790)
    at kernel/qwidget.cpp:4683
#19 0x45ca5beb in QApplication::internalNotify (this=0x936d350, 
    receiver=0x93eb260, e=0xbf97f790) at kernel/qapplication.cpp:2635
#20 0x45ca7217 in QApplication::notify (this=0x936d350, receiver=0x93eb260, 
    e=0xbf97f790) at kernel/qapplication.cpp:2421
#21 0x4188dae3 in KApplication::notify (this=0x936d350, receiver=0x93eb260, 
    event=0xbf97f790) at kapplication.cpp:550
#22 0x45c3d708 in QETWidget::translateMouseEvent (this=0x93eb260, 
    event=0xbf97fb28) at kernel/qapplication.h:523
#23 0x45c3c1ff in QApplication::x11ProcessEvent (this=0x936d350, 
    event=0xbf97fb28) at kernel/qapplication_x11.cpp:3473
#24 0x45c4dfcb in QEventLoop::processEvents (this=0x938f1d8, flags=)
    at kernel/qeventloop_x11.cpp:192
#25 0x45cbf090 in QEventLoop::enterLoop (this=0x938f1d8)
    at kernel/qeventloop.cpp:198
#26 0x45cbef56 in QEventLoop::exec (this=0x938f1d8)
    at kernel/qeventloop.cpp:145
#27 0x45ca56ff in QApplication::exec (this=0x936d350)
    at kernel/qapplication.cpp:2758
#28 0x0805da49 in main (argc=) at main.cpp:102
#29 0x43b5a4e4 in __libc_start_main () from /lib/libc.so.6
#30 0x08054001 in _start ()
Comment 1 Need Real Name 2006-08-18 05:57:31 EDT
Yes FC4 too,

i can see the same Bug under FC4 with kde 3.5.3-2FC4.

KDE 3.4.X-X_FC4 was doing fine.
Comment 2 Orion Poplawski 2007-03-27 17:24:57 EDT
I believe this is fixed now.  Don't remember which version though.

Note You need to log in before you can comment on or make changes to this bug.